<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header"></header>

<main class="container">
    <h1 th:text="#{books.available.copies}">Доступные экземпляры</h1>

    <div class="alert alert-light" role="alert" th:if="${#lists.isEmpty(bookCopies)}"
         th:text="#{books.available.copies.no.copies.available}">Нет доступных копий
    </div>

    <div th:unless="${#lists.isEmpty(bookCopies)}">
        <table class="table">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th th:text="#{books.available.book.title}" scope="col">Название</th>
                <th th:text="#{books.available.book.authors}" scope="col">Авторы</th>
                <th th:text="#{books.available.book.copy.inventory.number}" scope="col">Инвентарный номер</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="bookCopy : ${bookCopies}">
                <th th:text="${bookCopyStat.count}" scope="row">1</th>
                <td th:text="${bookCopy.book.title}">Изучаем Java</td>
                <td th:text="${bookCopy.book.author}">Кэти Сьерра, Берт Бейтс</td>
                <td th:text="${bookCopy.inventoryNum}">AБ37-B85-001000</td>
            </tr>
            </tbody>
        </table>

        <form th:action="@{/users/{id}/requests(id=${user.id})}" method="post">
            <div class="input-group" th:with="bookId=${bookCopies.get(0).book.id}">
                <label hidden for="loan_type_name" class="form-label"
                       th:text="#{books.available.book.copy.loan.type}">Выдать</label>
                <select id="loan_type_name" name="loan_type_name" class="form-select">
                    <option selected th:value="reading_room"
                            th:text="#{books.available.book.copy.loan.type.reading.room}">Читальный зал
                    </option>
                    <option th:value="home"
                            th:text="#{books.available.book.copy.loan.type.home}">Домой
                    </option>
                </select>
                <input type="hidden" name="book_id" th:value="${bookId}">
                <button type="submit" class="btn btn-outline-primary"
                        th:text="#{books.available.book.copy.request}">Заказать
                </button>
            </div>
        </form>
    </div>
</main>

<footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
